org.codehaus.plexus.interpolation.object

## Interface ObjectInterpolator

All Known Implementing Classes:
  FieldBasedObjectInterpolator

    public interface ObjectInterpolator

Traverses an object graph and uses an `Interpolator` instance to resolve any String values in the graph.

Author:
  jdcasey

### Method Summary

Methods
`java.util.List` `getWarnings()` Retrieve the `List` of warnings (`ObjectInterpolationWarning` instances) generated during the last interpolation execution.
`boolean` `hasWarnings()` Returns true if the last interpolation execution generated warnings.
`void` `interpolate(java.lang.Object target, Interpolator interpolator)` Traverse the object graph from the given starting point and interpolate any Strings found in that graph using the given `Interpolator`.
`void` `interpolate(java.lang.Object target, Interpolator interpolator, RecursionInterceptor recursionInterceptor)` Traverse the object graph from the given starting point and interpolate any Strings found in that graph using the given `Interpolator`.

### Method Detail

#### interpolate

    void interpolate(java.lang.Object target,
                   Interpolator interpolator)
                     throws InterpolationException

Traverse the object graph from the given starting point and interpolate any Strings found in that graph using the given `Interpolator`.

Parameters:
  `target` - The starting point of the object graph to traverse
  `interpolator` - The `Interpolator` used to resolve any Strings encountered during traversal.
Throws:
  `InterpolationException`

#### interpolate

    void interpolate(java.lang.Object target,
                   Interpolator interpolator,
                   RecursionInterceptor recursionInterceptor)
                     throws InterpolationException

Traverse the object graph from the given starting point and interpolate any Strings found in that graph using the given `Interpolator`.

Parameters:
  `target` - The starting point of the object graph to traverse
  `interpolator` - The `Interpolator` used to resolve any Strings encountered during traversal.
  `recursionInterceptor` - The `RecursionInterceptor` used to detect cyclical expressions in the graph
Throws:
  `InterpolationException`

#### hasWarnings

    boolean hasWarnings()

Returns true if the last interpolation execution generated warnings.

#### getWarnings

    java.util.List getWarnings()

Retrieve the `List` of warnings (`ObjectInterpolationWarning` instances) generated during the last interpolation execution.